<?php

add_action('init', 'of_options');
if (!function_exists('of_options')) {
    function of_options() {
        // VARIABLES
        $themename = 'Compass Theme';
        $shortname = "of";
        // Populate OptionsFramework option in array for use in theme
        global $of_options;
        $of_options = inkthemes_get_option('of_options');
        //Front page on/off
        $file_rename = array("on" => "On", "off" => "Off");
		$home_page_slider = array("on" => "On", "off" => "Off");
		$home_page_top_heading = array("on" => "On", "off" => "Off");
		$home_page_feature = array("on" => "On", "off" => "Off");		
        $home_page_blog = array("on" => "On", "off" => "Off");
		$testimonial = array("on" => "On", "off" => "Off");
        // Background Defaults
        $background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat', 'position' => 'top center', 'attachment' => 'scroll');
        //Stylesheet Reader
        $alt_stylesheets = array("blue" => "blue", "green" => "green", "orange" => "orange",  "yellow" => "yellow", "golden" => "golden", "red" => "red", "black" => "black", "purple" => "purple");
		$lan_stylesheets = array("Default" => "Default", "rtl" => "rtl");
        // Pull all the categories into an array
        $options_categories = array();
        $options_categories_obj = get_categories();
        foreach ($options_categories_obj as $category) {
            $options_categories[$category->cat_ID] = $category->cat_name;
        }
        // Populate OptionsFramework option in array for use in theme
        $contact_option = array("on" => "On", "off" => "Off");
        $captcha_option = array("on" => "On", "off" => "Off");
        // Pull all the pages into an array
        $options_pages = array();
        $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
        $options_pages[''] = 'Select a page:';
        foreach ($options_pages_obj as $page) {
            $options_pages[$page->ID] = $page->post_title;
        }
        // If using image radio buttons, define a directory path
        $imagepath = get_template_directory_uri() . '/images/';

        $options = array (		
        array("name" => "General Settings",
            "type" => "heading"),

        array("name" => "Custom Logo",
            "desc" => "Upload a logo for your Website.",
            "id" => "inkthemes_logo",
            "type" => "upload"),

        $options[] = array("name" => "Custom Favicon",
            "desc" => "Here you can upload a Favicon for your Website. Specified size is 16px x 16px.",
            "id" => "inkthemes_favicon",
            "type" => "upload"),
			
        //Background Image
        array("name" => "Background Image (Only Available In Premium Version)",
            "desc" => "Choose a suitable background image that will complement your website.",
            "id" => "inkthemes_bodybg",
			"class" => "trialhint",
            "type" => "upload"),			
			
        array("name" => "Tracking Code",
            "desc" => "Paste your Google Analytics (or other) tracking code here.",
            "id" => "inkthemes_analytics",
            "std" => "",
            "type" => "textarea"),

        //Home Page Slider Setting
        array("name" => "Home Slider Settings",
            "type" => "heading"),
			
        //Slider Speed Setting	
		array("name" => "Slider Speed (Only Available In Premium Version)",
            "desc" => "Set the speed of the slider in milliseconds. For e.g. if you want to set the speed of the slider for 8 seconds then enter 8000 in the field or if you want to set the slider speed for 2.5 seconds then enter 2500 in the field.",
            "id" => "inkthemes_slide_speed",
			"class" => "trialhint",
            "std" => "8000",
            "type" => "text"),	
	
         //First Slider
        array("name" => "First Slider Image",
            "desc" => "The optimal size of the image is 1250 px wide x 520 px height, but it can be varied as per your requirement.",
            "id" => "inkthemes_slideimage1",
            "std" => "",
            "type" => "upload"),
			
        array("name" => "First Slider Heading",
            "desc" => "Mention the heading for the First slider.",
            "id" => "inkthemes_sliderheading1",
            "std" => "",
            "type" => "textarea"),
			
	  array("name" => "Link for First slider",
            "desc" => "Mention the URL for first image.",
            "id" => "inkthemes_Sliderlink1",
            "std" => "",
            "type" => "text"),
			
         array("name" => "First Slider Description",
            "desc" => "Here mention a short description for the First slider heading.",
            "id" => "inkthemes_sliderdes1",
            "std" => "",
            "type" => "textarea"),
			
		//Second Slider
        array("name" => "Second Slider",
            "type" => "saperate",
            "class" => "saperator"),   
			
         array("name" => "Second Slider Image (Only Available In Premium Version)",
            "desc" => "The optimal size of the image is 1250 px wide x 520 px height, but it can be varied as per your requirement.",
            "id" => "inkthemes_slideimage2",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
       array("name" => "Second Slider Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for the Second slider.",
            "id" => "inkthemes_sliderheading2",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		array("name" => "Link for Second slider (Only Available In Premium Version)",
            "desc" => "Mention the URL for Second image.",
            "id" => "inkthemes_Sliderlink2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
       array("name" => "Second Slider Description (Only Available In Premium Version)",
            "desc" => "Here mention a short description for the Second slider heading.",
            "id" => "inkthemes_sliderdes2",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
	    //Third Slider
        array("name" => "Third Slider",
            "type" => "saperate",
            "class" => "saperator"),
			
        array("name" => "Third Slider Image (Only Available In Premium Version)",
            "desc" => "The optimal size of the image is 1250 px wide x 520 px height, but it can be varied as per your requirement.",
            "id" => "inkthemes_slideimage3",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
        array("name" => "Third Slider Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for the Third slider.",
            "id" => "inkthemes_sliderheading3",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
	    array("name" => "Link for Third slider (Only Available In Premium Version)",
            "desc" => "Mention the URL for Third image.",
            "id" => "inkthemes_Sliderlink3",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
        array("name" => "Third Slider Description (Only Available In Premium Version)",
            "desc" => "Here mention a short description for the Third slider heading.",
            "id" => "inkthemes_sliderdes3",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		   //Fourth Slider
        array("name" => "Fourth Slider",
            "type" => "saperate",
            "class" => "saperator"), 
			
        array("name" => "Fourth Slider Image (Only Available In Premium Version)",
            "desc" => "The optimal size of the image is 1250 px wide x 520 px height, but it can be varied as per your requirement.",
            "id" => "inkthemes_slideimage4",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
        array("name" => "Fourth Slider Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for the Fourth slider.",
            "id" => "inkthemes_sliderheading4",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		array("name" => "Link for Fourth slider (Only Available In Premium Version)",
            "desc" => "Mention the URL for Fourth image.",
            "id" => "inkthemes_Sliderlink4",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
        array("name" => "Fourth Slider Description (Only Available In Premium Version)",
            "desc" => "Here mention a short description for the Fourth slider heading.",
            "id" => "inkthemes_sliderdes4",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		   //Fifth Slider
        array("name" => "Fifth Slider",
            "type" => "saperate",
            "class" => "saperator"), 
			
        array("name" => "Fifth Slider Image (Only Available In Premium Version)",
            "desc" => "The optimal size of the image is 1250 px wide x 520 px height, but it can be varied as per your requirement.",
            "id" => "inkthemes_slideimage5",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
         array("name" => "Fifth Slider Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for the Fifth slider.",
            "id" => "inkthemes_sliderheading5",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		array("name" => "Link for Fifth slider (Only Available In Premium Version)",
            "desc" => "Mention the URL for Fifth image.",
            "id" => "inkthemes_Sliderlink5",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
        array("name" => "Fifth Slider Description (Only Available In Premium Version)",
            "desc" => "Here mention a short description for the Fifth slider heading.",
            "id" => "inkthemes_sliderdes5",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		    array("name" => "Home Page Feature Setting",
            "type" => "heading"),
			
            array("name" => "First Font Icon (Only Available In Premium Version)",
            "desc" => "Enter the CSS class of the icons you want to use on your first column feature. You can find a list of icon classes <a href='http://fortawesome.github.io/Font-Awesome/icons/' target='_blank'>here</a> e.g fa-book",
            "id" => "inkthemes_font_icon1",
            "std" => "fa-cloud",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "First Feature Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for first column that will showcase your business services.",
            "id" => "inkthemes_feature_head1",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

            array("name" => "First Feature Heading Link (Only Available In Premium Version)",
            "desc" => "Mention the URL here to redirect the user to any page you want.",
            "id" => "inkthemes_feature_link1",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "First Feature Description (Only Available In Premium Version)",
            "desc" => "Write short description for your first heading.",
            "id" => "inkthemes_feature_desc1",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),


        // 3 Column Feature block 2

			array("name" => "Second Block",
            "type" => "saperate",
            "class" => "saperator"),

			array("name" => "Second Icon (Only Available In Premium Version)",
            "desc" => "Enter the CSS class of the icons you want to use on your Second column feature. You can find a list of icon classes <a href='http://fortawesome.github.io/Font-Awesome/icons/' target='_blank'>here</a> e.g fa-book",
            "id" => "inkthemes_font_icon2",
            "std" => "fa-rocket",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "Second Feature Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for second column that will showcase your business services.",
            "id" => "inkthemes_feature_head2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "Second feature Link (Only Available In Premium Version)",
            "desc" => "Mention the URL here to redirect the user to any page you want.",
            "id" => "inkthemes_feature_link2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "second Feature Description (Only Available In Premium Version)",
            "desc" => "Write short description for your second heading.",
            "id" => "inkthemes_feature_desc2",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),


        // 3 Column Feature block 3

			array("name" => "Third block",
            "type" => "saperate",
            "class" => "saperator"),

			array("name" => "Third Font Icon (Only Available In Premium Version)",
            "desc" => "Enter the CSS class of the icons you want to use on your Third column feature. You can find a list of icon classes <a href='http://fortawesome.github.io/Font-Awesome/icons/' target='_blank'>here</a> e.g fa-book",
            "id" => "inkthemes_font_icon3",
            "std" => "fa-wordpress",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "Third Feature Heading (Only Available In Premium Version)",
            "desc" => "Mention the heading for third column that will showcase your business services.",
            "id" => "inkthemes_feature_head3",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "Link for Title Third Feature (Only Available In Premium Version)",
            "desc" => "Mention the URL here to redirect the user to any page you want.",
            "id" => "inkthemes_feature_link3",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),

			array("name" => "Third Feature Description (Only Available In Premium Version)",
            "desc" => "Write short description for your third heading.",
            "id" => "inkthemes_feature_desc3",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
		//Home Page Bottom Feature Area		
        array("name" => "Home Page Testimonial Feature",
        "type" => "heading"),			
			
		//Testimonial Separetor      
			
		array("name" => "Testimonial Main Heading",
            "desc" => "Here you can mention the Heading for testimonial Section",
            "id" => "inkthemes_test_head",
            "std" => "",
            "type" => "textarea"),
			
		array("name" => "Testimonial Image(Only Available In Premium Version)",
            "desc" => "Here you can upload the image for your business. Optimal size is 74px x 72px.",
            "id" => "inkthemes_test_image1",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
        array("name" => "Testimonial Description(Only Available In Premium Version)",
            "desc" => "Here you can describe about your business in short so that the users will understand the importance of your services.",
            "id" => "inkthemes_test_desc1",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
        array("name" => "Testimonial Link Text(Only Available In Premium Version)",
            "desc" => "Here you can mention the name of the person giving the Testimonial.",
            "id" => "inkthemes_test_link_text1",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
        array("name" => "Testimonial Link(Only Available In Premium Version)",
            "desc" => "Here you can link up your name to anywhere you want.",
            "id" => "inkthemes_test_link1",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
		
		array("name" => "Testimonial Website Name(Only Available In Premium Version)",
            "desc" => "Here you can mention the Website of the person giving the Testimonial.",
            "id" => "inkthemes_test_website1",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
		array("name" => "Testimonial Image(Only Available In Premium Version)",
            "desc" => "Here you can upload the image for your business. Optimal size is 74px x 72px.",
            "id" => "inkthemes_test_image2",
            "std" => "",
			"class" => "trialhint",
            "type" => "upload"),
			
        array("name" => "Testimonial Description(Only Available In Premium Version)",
            "desc" => "Here you can describe about your business in short so that the users will understand the importance of your services.",
            "id" => "inkthemes_test_desc2",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
        array("name" => "Testimonial Link Text(Only Available In Premium Version)",
            "desc" => "Here you can mention the name of the person giving the Testimonial.",
            "id" => "inkthemes_test_link_text2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
        array("name" => "Testimonial Link(Only Available In Premium Version)",
            "desc" => "Here you can link up your name to anywhere you want.",
            "id" => "inkthemes_test_link2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
		
		array("name" => "Testimonial Website Name(Only Available In Premium Version)",
            "desc" => "Here you can mention the Website of the person giving the Testimonial.",
            "id" => "inkthemes_test_website2",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
		array("name" => "Home Page Blog Post Section Starts From Here",
            "type" => "saperate",
            "class" => "saperator"),
			
		array("name" => "Home Page Blog Heading Text",
            "desc" => "Here you can mention a suitable blog text that will display the recent blog posts with images.",
            "id" => "inkthemes_blog_heading",
            "std" => "",
            "type" => "text"),
			
		//Home Page Bottom Feature Area		
        array("name" => "Home Page Bottom Feature",
        "type" => "heading"),	
		
		array("name" => "Home Page Bottom Tagline Feature",
            "type" => "saperate",
            "class" => "saperator"),
			
		array("name" => "Home Page Tagline(Only Available In Premium Version)",
            "desc" => "Mention the text for home page tagline.",
            "id" => "inkthemes_tag_head",
			"class" => "trialhint",
            "std" => "",
            "type" => "textarea"),
			
		array("name" => "Home Page Sub Tagline",
            "desc" => "Mention the text for home page tagline.",
            "id" => "inkthemes_tag_sub_head",
            "std" => "",
            "type" => "textarea"),
			
		array("name" => "Home Page Button Text(Only Available In Premium Version)",
            "desc" => "Mention the text for home page button.",
            "id" => "inkthemes_homepage_button",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
		array("name" => "Home Page Button Link(Only Available In Premium Version)",
            "desc" => "Mention the text for home page button link.",
            "id" => "inkthemes_homepage_button_link",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),	

		array("name" => "Home Page Blog image Gallery Section Starts From Here",
            "type" => "saperate",
            "class" => "saperator"),
			
		array("name" => "Bottom gallery Feature Heading",
            "desc" => "Mention the heading for Home Page gallery Feature",
            "id" => "inkthemes_about_head",
            "std" => "",
            "type" => "textarea"),
        
        array("name" => "Bottom gallery Feature Description(Only Available In Premium Version)",
            "desc" => "Mention the text for Home Page gallery Feature description.",
            "id" => "inkthemes_about_desc",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
	 
//****====================================================================****//
//****----This code is used for creating iframe map options on home-------****//					//****====================================================================****//

        array("name" => "Contact Page Map",
            "type" => "heading"),

		//Second Heading
        array("name" => "Contact Page Map(Only Available In Premium Version)",
            "desc" => "Go to https://maps.google.com/ and generate the map for your location. Just copy only the iframe code i.e. code within &lt;iframe&gt; and &lt;/iframe&gt; and paste it here. This will show the map location of your business on the Website.",
            "id" => "inkthemes_contact_map",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),

//****====================================================================****//
//****----This code is used for creating color style shteet options----------****//					//****==================================================================****//

        array("name" => "Styling Options",
            "type" => "heading"),
			
        array("name" => "Theme Stylesheet(Only Available In Premium Version)",
            "desc" => "Select the color of the theme from different available colors.",
            "id" => "inkthemes_altstylesheet",
            "std" => "pink",
            "type" => "select",
			"class" => "trialhint",
            "options" => $alt_stylesheets),
			
        array("name" => "Custom CSS",
            "desc" => "Quickly add your custom CSS code to your theme by writing the code in this block.",
            "id" => "inkthemes_customcss",
            "std" => "",
            "type" => "textarea"),

//****=============================================================================****//
//****-------------This code is used for creating social logos options-------------****//					
//****=============================================================================****//

        array("name" => "Social Icons",
            "type" => "heading"),
			
		array("name" => "Facebook URL(Only Available In Premium Version)",
            "desc" => "Mention the URL of your Facebook here.",
            "id" => "dgdgbd",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),
			
		array("name" => "Twitter URL(Only Available In Premium Version)",
            "desc" => "Mention the URL of your Twitter here.",
            "id" => "drfhrdh",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"),	
		
		array("name" => "Google+ URL(Only Available In Premium Version)",
            "desc" => "Mention the URL of your Google+ here.",
            "id" => "dgdg",
            "std" => "",
			"class" => "trialhint",
            "type" => "text"), 
			
		array("name" => "LinkedIn URL",
            "desc" => "Mention the URL of your LinkedIn Feed here.",
            "id" => "inkthemes_linkedin",
            "std" => "",
            "type" => "text"),
			
		array("name" => "Rss Feed URL",
            "desc" => "Mention the URL of your Rss Feed here.",
            "id" => "inkthemes_rss",
            "std" => "",
            "type" => "text"),

        array("name" => "Pinterest URL",
            "desc" => "Mention the URL of your Pinterest here.",
            "id" => "inkthemes_pinterest",
            "std" => "",
            "type" => "text"),			
			
		

//****=============================================================================****//
//****-------------This code is used for creating Bottom Footer Setting options-------------****//					
//****=============================================================================****//			
        array("name" => "Footer Settings",
            "type" => "heading"),
			
        array("name" => "Footer Text (Only Available In Premium Version)",
            "desc" => "Write the text here that will be displayed on the footer i.e. at the bottom of the Website.",
            "id" => "sgsgsg",
            "std" => "",
			"class" => "trialhint",
            "type" => "textarea"),
			
			
        //------------------------------------------------------------------//
//-------------This code is used for creating SEO description-------//							
//------------------------------------------------------------------//						
        array("name" => "SEO Options",
            "type" => "heading"),
			
		array("name" => "Meta Keywords (comma separated)",
            "desc" => "Meta keywords provide search engines with additional information about topics that appear on your site. This only applies to your home page. Keyword Limit Maximum 8",
            "id" => "inkthemes_keyword",
            "std" => "",
            "type" => "textarea"),
			
        array("name" => "Meta Description",
            "desc" => "You should use meta descriptions to provide search engines with additional information about topics that appear on your site. This only applies to your home page.Optimal Length for Search Engines, Roughly 155 Characters",
            "id" => "inkthemes_description",
            "std" => "",
            "type" => "textarea"),
			
        array("name" => "Meta Author Name",
            "desc" => "You should write the full name of the author here. This only applies to your home page.",
            "id" => "inkthemes_author",
            "std" => "",
            "type" => "textarea"),
            );

        inkthemes_update_option('of_template', $options);
        inkthemes_update_option('of_themename', $themename);
        inkthemes_update_option('of_shortname', $shortname);
    }

}
?>
